package com.syaroful.agrilinkvocpro.di

import com.syaroful.agrilinkvocpro.presentation.screen.detail.DetailViewModel
import com.syaroful.agrilinkvocpro.presentation.screen.home.DynamicModuleViewModel
import com.syaroful.agrilinkvocpro.presentation.screen.home.HomeViewModel
import com.syaroful.agrilinkvocpro.presentation.screen.login.LoginViewModel
import com.syaroful.agrilinkvocpro.presentation.screen.profile.ProfileViewModel
import org.koin.androidx.viewmodel.dsl.viewModel
import org.koin.dsl.module

val viewModelModule = module {
    viewModel { DynamicModuleViewModel(get()) }
    viewModel { LoginViewModel(get(), get()) }
    viewModel { ProfileViewModel(get()) }
    viewModel { HomeViewModel(get(), get()) }
    viewModel { DetailViewModel(get(), get()) }
}